package handler

import (
	"errors"
	"net/http"

	"github.com/zeromicro/go-zero/core/logx"
	"github.com/zeromicro/go-zero/rest/httpx"

	"fusenapi/server/product-template/internal/logic"
	"fusenapi/server/product-template/internal/svc"
)

func GetBaseMapListHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		l := logic.NewGetBaseMapListLogic(r.Context(), svcCtx)
		resp := l.GetBaseMapList(r)
		// 如果响应不为nil，则使用httpx.OkJsonCtx方法返回JSON响应;
		if resp != nil {
			httpx.OkJsonCtx(r.Context(), w, resp)
		} else {
			err := errors.New("server logic is error, resp must not be nil")
			httpx.ErrorCtx(r.Context(), w, err)
			logx.Error(err)
		}
	}
}
